# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' Computes a weighted Pearson distance measure matrix. If ranks are used
#' this measure turns into weighted Spearman distance measure matrix.
#'
#'@param x input with columns containing each observation
#'@param w weights for all values in a obervation
#'@param useRanks indicates if Pearson should be computed on weighted ranks.
#'@param n_cores number of cores to use for parallel computation.
#'@return weighted Pearson distance measure matrix. If ranks are used
#' this measure turns into weighted Spearman distance measure matrix.
wCorDist <- function(x, w, useRanks, n_cores) {
    .Call('_ccImpute_wCorDist', PACKAGE = 'ccImpute', x, w, useRanks, n_cores)
}

#' Computes consensus matrix given cluster labels
#'
#' @param dat a matrix containing clustering solutions in columns
#' @return consensus matrix
getConsMtx <- function(dat) {
    .Call('_ccImpute_getConsMtx', PACKAGE = 'ccImpute', dat)
}

#' Computes imputed expression matrix using linear eq solver.
#'
#'@param cm processed consensus matrix
#'@param em expression matrix
#'@param ids location of values determined to be dropout events
#'@param n_cores number of cores to use for parallel computation.
#'@return imputed expression matrix
solveDrops <- function(cm, em, ids, n_cores) {
    .Call('_ccImpute_solveDrops', PACKAGE = 'ccImpute', cm, em, ids, n_cores)
}

